{******************************************************************************************}
{ "Hundir la Flota", recreacion del clasico juego de tablero de guerra maritima.           }
{ Copyright (C) 2002  Gorka Surez Garca                                                  }
{                                                                                          }
{ Sistema.pas is part of "Hundir la Flota".                                                }
{                                                                                          }
{ "Hundir la Flota" is free software; you can redistribute it and/or                       }
{ modify it under the terms of the GNU General Public License                              }
{ as published by the Free Software Foundation; either version 2                           }
{ of the License, or (at your option) any later version.                                   }
{                                                                                          }
{ "Hundir la Flota" is distributed in the hope that it will be useful,                     }
{ but WITHOUT ANY WARRANTY; without even the implied warranty of                           }
{ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                            }
{ GNU General Public License for more details.                                             }
{                                                                                          }
{ You should have received a copy of the GNU General Public License                        }
{ along with "Hundir la Flota"; if not, write to the Free Software                         }
{ Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.              }
{******************************************************************************************}

{**************************************************************************}
{ Sistema.pas                                                              }
{ Autor: Gorka Suarez Garcia                                               }
{ Fecha: 04-02-02                                                          }
{**************************************************************************}
Unit Sistema;
Interface {Parte publica}
   Uses Crt;

{----- Constantes -----}
   Const {Constantes con el codigo ascii de las teclas}
      TFLECHA_AR = 72; {Flecha hacia arriba}
      TFLECHA_DE = 77; {Flecha hacia la derecha}
      TFLECHA_AB = 80; {Flecha hacia abajo}
      TFLECHA_IZ = 75; {Flecha hacia la izquierda}
      TENTER     = 13; {Enter}
      TESC       = 27; {Escape}

   Function MeterTecla : Byte; {Funcion que devuelve el codigo Ascii de la
                                tecla pulsada}

{**************************************************************************}

Implementation {Parte privada}

{**************************************************************************}
{----------------------- Funciones y procedimientos -----------------------}
{**************************************************************************}

   Function MeterTecla : Byte;
   Var
      t : Byte; {Aqui se almacena el codigo Ascii de la tecla}
   Begin
      t := Ord(ReadKey); {Con ReadKey capturamos la tecla que hemos pulsado,
                          pero necesitamos, que el Char que ReadKey nos da,
                          pasarlo a Ascii, y por eso usamos Ord, que da el
                          codigo Ascii del caracter que le pasemos}
      If t = 0 Then {En caso de que pulsemos alguna tecla especial, que
                     daria 2 Bytes (el primero es 0, y el segundo la tecla),
                     volvemos a repetir la operacion para coger el 2 Byte}
         t := Ord(ReadKey);

      MeterTecla := t; {Devolvemos el codigo de la tecla metida}
   End;

{**************************************************************************}

End.

{**************************************************************************}
{                         Fin de la unidad Sistema                         }
{**************************************************************************}